<?php
/**
 * stanislav.elbl, 22.02.2021
 */

namespace RonPortal\Dokumenty;

use Ron\DB\Database;
use Ron\DB\SqlStatement;
use Ron\MVC\ViewObject;


class DokumentUploadForm implements ViewObject
{
    /** @var Database */
    var $database;

    /** @var string */
    var $uploadUrl;

    /** @var string */
    var $redirectUrl;

    /** @var string|SqlStatement */
    var $sqlPripojeniStarsiho = null;

    var $hiddenFields = null;

    /** @var int pokud je nastaven v potomku, ve formulari se nezobrazi vyber typu dokumentu */
    var $typDokumentu = null;

    /** @var int pokud je nastavena v potomku, ve formulari se zobrazi jen vyber typu dokumentu s touto kategorii */
    var $kategorieDokumentu = null;

    var $target = null;

    public $htmlAttrs = [];

    /**
     * DokumentUploadForm constructor.
     * @param Database $database
     * @param string $uploadUrl
     * @param string[] $htmlAttrs   HTML atributy pro dialog - urcuji dalsi chovani
     */
    public function __construct(Database $database, $uploadUrl, $htmlAttrs = null)
    {
        $this->database = $database;
        $this->uploadUrl = $uploadUrl;

        if (isset($htmlAttrs)) {
            $this ->htmlAttrs = $htmlAttrs;
        } else {
            $this ->target = 'upload_target';
            $this ->htmlAttrs = ['data-action' => 'reload'];
        }
    }


    /**
     * Potomek muze doplnit dalsi pole
     */
    public function dalsiRadkyKDokumentu()
    {

    }


    public function render()
    {
        require('view/dokument_novy.php');
    }
}
